<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}

function emaf_builder($params, $content) {
    extract( shortcode_atts( 
        array(
            'submit_button_label' => '',
            'action_url' => '',
            'color' => '',
            'placeholder' => '',
            'value' => '',
            'btn_color' => '',
            'tf_categories' => '',
            'cc_categories' => '',
            'impact_aff_id'=> '',
        ), $params ) ); 

        // CSS
        wp_enqueue_style( 'emaf-custom', plugins_url( 'assets/css/custom.css', __FILE__ ), array(), '1.0.0', 'all' );

        ob_start(); 
        $action = '';
        $action .= 'https://';
        $action .= $action_url;
        if($action_url == 'codecanyon.net'){
            $action .= $cc_categories;
        }else{
            $action .= $tf_categories;
        }

        $action_aff = 'https://1.envato.market/c/'.esc_attr($impact_aff_id).'/275988/4415';
        #value
        $value = '';
        if (isset($value) && !empty($value)) {
            $value = $value;
        }
        ?> 
            <div class="emaf envato-market-affiliate-forms-widget">  
                <form action="<?php echo esc_url($action); ?>" method="get" class="emaf-form">
                    <div class="row emaf-form-inner">
                        <input class="form-control" value="<?php echo esc_attr($value); ?>" name="term" type="text" placeholder="<?php echo esc_attr($placeholder); ?>" />
                        <?php 
                        if (isset($impact_aff_id)) {
                            ?>
                            <input type="hidden" value="1" name="irgwc" /> 
                            <input type="hidden" value="1" name="im_rewards" /> 
                            <input type="hidden" value="275988" name="iradid" /> 
                            <input type="hidden" value="<?php echo esc_attr($impact_aff_id); ?>" name="irpid" /> 
                            <input type="hidden" value="ONLINE_TRACKING_LINK" name="iradtype" /> 
                            <input type="hidden" value="mediapartner" name="irmptype" /> 
                            <input type="hidden" value="af_impact_radius_<?php echo esc_attr($impact_aff_id); ?>" name="utm_campaign" /> 
                            <input type="hidden" value="affiliate" name="utm_medium" /> 
                            <input type="hidden" value="impact_radius" name="utm_source" /> 
                            <?php
                        }
                        ?>
                        <div class="emaf-btn-holder">
                            <input type="submit" class="emaf-btn" style="background-color:<?php echo esc_attr($color); ?>; color:<?php echo esc_attr($btn_color); ?>;" domain="submit" domain="submit" value="<?php echo esc_attr($submit_button_label); ?>" />
                        </div>
                    </div>
                </form>
            </div>
        <?php
        return ob_get_clean();
}
add_shortcode('emaf-builder-shortcode', 'emaf_builder');


if ( class_exists('Elementor\Core\Admin\Admin') ) {
    class EMAF_Elementor_Widgets {

        protected static $instance = null;

        public static function get_instance() {
            if ( ! isset( static::$instance ) ) {
                static::$instance = new static;
            }

            return static::$instance;
        }

        protected function __construct() {
            require_once('elementor.php');

            add_action( 'elementor/widgets/widgets_registered', [ $this, 'register_widgets' ] );
        }

        public function register_widgets() {
            \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\EMAF_Widget() );
        }

    }

    // Elementor Init
    add_action( 'init', 'emaf_elementor_init' );
    function emaf_elementor_init() {
        EMAF_Elementor_Widgets::get_instance();
    }

    // Elementor Widgets Category
    function emaf_widget_categories( $elements_manager ) {
        $elements_manager->add_category(
            'modeltheme-affiliate-widgets',
            [
                'title' => esc_html__( 'ModelTheme Affiliate Forms', 'emaf' ),
                'icon' => 'fas fa-plug',
            ]
        );
    }
    add_action( 'elementor/elements/categories_registered', 'emaf_widget_categories' );
}
